<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{AA58C828-7025-4A4C-868E-76B8902AF6BB}</ProjectGuid>
    <RootNamespace>utiles</RootNamespace>
    <Keyword>MFCDLLProj</Keyword>
    <WindowsTargetPlatformVersion>10.0</WindowsTargetPlatformVersion>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <PlatformToolset>v142</PlatformToolset>
    <UseOfMfc>Dynamic</UseOfMfc>
    <CharacterSet>MultiByte</CharacterSet>
    <WholeProgramOptimization>true</WholeProgramOptimization>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <PlatformToolset>v142</PlatformToolset>
    <UseOfMfc>Dynamic</UseOfMfc>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <PlatformToolset>v142</PlatformToolset>
    <UseOfMfc>Dynamic</UseOfMfc>
    <CharacterSet>MultiByte</CharacterSet>
    <WholeProgramOptimization>true</WholeProgramOptimization>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <PlatformToolset>v142</PlatformToolset>
    <UseOfMfc>Dynamic</UseOfMfc>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup>
    <_ProjectFileVersion>15.0.28127.55</_ProjectFileVersion>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <OutDir>Debug\</OutDir>
    <IntDir>$(Configuration)\</IntDir>
    <LinkIncremental>true</LinkIncremental>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
    <CodeAnalysisRules />
    <CodeAnalysisRuleAssemblies />
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <OutDir>$(Platform)\$(Configuration)\</OutDir>
    <IntDir>$(Platform)\$(Configuration)\</IntDir>
    <LinkIncremental>true</LinkIncremental>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
    <CodeAnalysisRules />
    <CodeAnalysisRuleAssemblies />
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <OutDir>Release\</OutDir>
    <IntDir>$(Configuration)\</IntDir>
    <LinkIncremental>false</LinkIncremental>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
    <CodeAnalysisRules />
    <CodeAnalysisRuleAssemblies />
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <OutDir>$(Platform)\$(Configuration)\</OutDir>
    <IntDir>$(Platform)\$(Configuration)\</IntDir>
    <LinkIncremental>false</LinkIncremental>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
    <CodeAnalysisRules />
    <CodeAnalysisRuleAssemblies />
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <Midl>
      <PreprocessorDefinitions>_DEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MkTypLibCompatible>false</MkTypLibCompatible>
    </Midl>
    <ClCompile>
      <Optimization>Disabled</Optimization>
      <AdditionalIncludeDirectories>$(ProjectDir);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>WIN32;_WINDOWS;_DEBUG;_USRDLL;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MinimalRebuild>true</MinimalRebuild>
      <BasicRuntimeChecks>EnableFastChecks</BasicRuntimeChecks>
      <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat>EditAndContinue</DebugInformationFormat>
    </ClCompile>
    <ResourceCompile>
      <PreprocessorDefinitions>_DEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <Culture>0x0409</Culture>
      <AdditionalIncludeDirectories>$(IntDir);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
    </ResourceCompile>
    <Link>
      <AdditionalDependencies>Version.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <ModuleDefinitionFile>.\utiles.def</ModuleDefinitionFile>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <SubSystem>Windows</SubSystem>
      <TargetMachine>MachineX86</TargetMachine>
    </Link>
    <PostBuildEvent>
      <Command>copy $(OutDir)$(TargetFileName) ..\BIN\$(IntDir)
copy  $(OutDir)\utiles.lib ..\lib\$(IntDir)</Command>
    </PostBuildEvent>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <Midl>
      <PreprocessorDefinitions>_DEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MkTypLibCompatible>false</MkTypLibCompatible>
      <TargetEnvironment>X64</TargetEnvironment>
    </Midl>
    <ClCompile>
      <Optimization>Disabled</Optimization>
      <AdditionalIncludeDirectories>$(ProjectDir);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>WIN64;_WINDOWS;_DEBUG;_USRDLL;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MinimalRebuild>true</MinimalRebuild>
      <BasicRuntimeChecks>EnableFastChecks</BasicRuntimeChecks>
      <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
    </ClCompile>
    <ResourceCompile>
      <PreprocessorDefinitions>_DEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <Culture>0x0409</Culture>
      <AdditionalIncludeDirectories>$(IntDir);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
    </ResourceCompile>
    <Link>
      <AdditionalDependencies>Version.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <ModuleDefinitionFile>.\utiles.def</ModuleDefinitionFile>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <SubSystem>Windows</SubSystem>
      <TargetMachine>MachineX64</TargetMachine>
    </Link>
    <PostBuildEvent>
      <Command>copy $(OutDir)$(TargetFileName) ..\BIN\$(IntDir)
copy  $(OutDir)\utiles.lib ..\lib\$(IntDir)</Command>
    </PostBuildEvent>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <Midl>
      <PreprocessorDefinitions>NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MkTypLibCompatible>false</MkTypLibCompatible>
    </Midl>
    <ClCompile>
      <Optimization>MaxSpeed</Optimization>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <AdditionalIncludeDirectories>$(ProjectDir);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>WIN32;_WINDOWS;NDEBUG;_USRDLL;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
    </ClCompile>
    <ResourceCompile>
      <PreprocessorDefinitions>NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <Culture>0x0409</Culture>
      <AdditionalIncludeDirectories>$(IntDir);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
    </ResourceCompile>
    <Link>
      <AdditionalDependencies>Version.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <ModuleDefinitionFile>.\utiles.def</ModuleDefinitionFile>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <SubSystem>Windows</SubSystem>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <TargetMachine>MachineX86</TargetMachine>
    </Link>
    <PostBuildEvent>
      <Command>copy $(OutDir)$(TargetFileName) ..\BIN\$(IntDir)
copy  $(OutDir)\utiles.lib ..\lib\$(IntDir)</Command>
    </PostBuildEvent>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <Midl>
      <PreprocessorDefinitions>NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MkTypLibCompatible>false</MkTypLibCompatible>
      <TargetEnvironment>X64</TargetEnvironment>
    </Midl>
    <ClCompile>
      <Optimization>MaxSpeed</Optimization>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <AdditionalIncludeDirectories>$(ProjectDir);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>WIN32;_WINDOWS;NDEBUG;_USRDLL;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
    </ClCompile>
    <ResourceCompile>
      <PreprocessorDefinitions>NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <Culture>0x0409</Culture>
      <AdditionalIncludeDirectories>$(IntDir);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
    </ResourceCompile>
    <Link>
      <AdditionalDependencies>Version.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <ModuleDefinitionFile>.\utiles.def</ModuleDefinitionFile>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <SubSystem>Windows</SubSystem>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <TargetMachine>MachineX64</TargetMachine>
    </Link>
    <PostBuildEvent>
      <Command>copy $(OutDir)$(TargetFileName) ..\BIN\$(IntDir)
copy  $(OutDir)utiles.lib ..\lib\$(IntDir)</Command>
    </PostBuildEvent>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClCompile Include="ascii_file.cpp" />
    <ClCompile Include="bmp_control.cpp" />
    <ClCompile Include="b_file.cpp" />
    <ClCompile Include="CartoBase.cpp" />
    <ClCompile Include="CartoBaseDBFManager.cpp" />
    <ClCompile Include="CartoBaseElements.cpp" />
    <ClCompile Include="CartoBaseShpManager.cpp" />
    <ClCompile Include="CartoBaseTopologyManager.cpp" />
    <ClCompile Include="CartoElements.cpp" />
    <ClCompile Include="cola_asincrona.cpp" />
    <ClCompile Include="control_usu_con.cpp" />
    <ClCompile Include="Csock_cl.cpp" />
    <ClCompile Include="csv_file.cpp" />
    <ClCompile Include="DataTransfer.cpp" />
    <ClCompile Include="DijkstraUtiles.cpp" />
    <ClCompile Include="dir_manager.cpp" />
    <ClCompile Include="Fdbf.cpp" />
    <ClCompile Include="Fshape.cpp" />
    <ClCompile Include="gconect_srv.cpp" />
    <ClCompile Include="GdataTable.cpp" />
    <ClCompile Include="GeometryFunction.cpp" />
    <ClCompile Include="IaDataTable.cpp" />
    <ClCompile Include="ini_file.cpp" />
    <ClCompile Include="lock.cpp" />
    <ClCompile Include="ManagerDbfGdataTable.cpp" />
    <ClCompile Include="mapmatrix.cpp" />
    <ClCompile Include="proceso_cliente.cpp" />
    <ClCompile Include="puerto_com.cpp" />
    <ClCompile Include="sock_http.cpp" />
    <ClCompile Include="sock_sv.cpp" />
    <ClCompile Include="static_array.cpp" />
    <ClCompile Include="static_array_ord.cpp" />
    <ClCompile Include="static_cola.cpp" />
    <ClCompile Include="stdafx.cpp">
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">Create</PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">Create</PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">Create</PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Release|x64'">Create</PrecompiledHeader>
    </ClCompile>
    <ClCompile Include="StrArray.cpp" />
    <ClCompile Include="str_socket.cpp" />
    <ClCompile Include="TaskProcess.cpp" />
    <ClCompile Include="th.cpp" />
    <ClCompile Include="utiles.cpp" />
    <ClCompile Include="utiles_dll.cpp" />
    <ClCompile Include="utl.cpp" />
    <ClCompile Include="_app.cpp" />
    <ClCompile Include="_error.cpp" />
    <ClCompile Include="_log.cpp" />
    <ClCompile Include="_proceso.cpp" />
  </ItemGroup>
  <ItemGroup>
    <None Include="ReadMe.txt" />
    <None Include="res\utiles.rc2" />
    <None Include="utiles.def" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="ascii_file.h" />
    <ClInclude Include="base_head.h" />
    <ClInclude Include="bmp_control.h" />
    <ClInclude Include="b_file.h" />
    <ClInclude Include="C:\Users\Gerardo\Desktop\REAS\pryec\pryec\igt_base\igt_app_ex.h" />
    <ClInclude Include="CartoBase.h" />
    <ClInclude Include="CartoBaseDBFManager.h" />
    <ClInclude Include="CartoBaseDef.h" />
    <ClInclude Include="CartoBaseElements.h" />
    <ClInclude Include="CartoBaseShpManager.h" />
    <ClInclude Include="CartoBaseTopologyManager.h" />
    <ClInclude Include="CartoElements.h" />
    <ClInclude Include="cola_asincrona.h" />
    <ClInclude Include="control_usu_con.h" />
    <ClInclude Include="Csock_cl.h" />
    <ClInclude Include="csv_file.h" />
    <ClInclude Include="DataTransfer.h" />
    <ClInclude Include="DijkstraUtiles.h" />
    <ClInclude Include="dir_manager.h" />
    <ClInclude Include="Fdbf.h" />
    <ClInclude Include="Fshape.h" />
    <ClInclude Include="garray.h" />
    <ClInclude Include="garray_cicli.h" />
    <ClInclude Include="garray_ord.h" />
    <ClInclude Include="gcola.h" />
    <ClInclude Include="gcola_con.h" />
    <ClInclude Include="gconect_srv.h" />
    <ClInclude Include="GdataTable.h" />
    <ClInclude Include="GeometryFunction.h" />
    <ClInclude Include="IaDataTable.h" />
    <ClInclude Include="ini_file.h" />
    <ClInclude Include="lock.h" />
    <ClInclude Include="ManagerDbfGdataTable.h" />
    <ClInclude Include="mapmatrix.h" />
    <ClInclude Include="Matrix2d.h" />
    <ClInclude Include="proceso_cliente.h" />
    <ClInclude Include="puerto_com.h" />
    <ClInclude Include="Resource.h" />
    <ClInclude Include="sock_http.h" />
    <ClInclude Include="sock_sv.h" />
    <ClInclude Include="static_array.h" />
    <ClInclude Include="static_array_ord.h" />
    <ClInclude Include="static_cola.h" />
    <ClInclude Include="stdafx.h" />
    <ClInclude Include="stdint.h" />
    <ClInclude Include="StrArray.h" />
    <ClInclude Include="str_socket.h" />
    <ClInclude Include="targetver.h" />
    <ClInclude Include="TaskProcess.h" />
    <ClInclude Include="th.h" />
    <ClInclude Include="th_cola.h" />
    <ClInclude Include="utiles.h" />
    <ClInclude Include="utiles_def.h" />
    <ClInclude Include="utiles_dll.h" />
    <ClInclude Include="utl.h" />
    <ClInclude Include="_app.h" />
    <ClInclude Include="_error.h" />
    <ClInclude Include="_log.h" />
    <ClInclude Include="_proceso.h" />
  </ItemGroup>
  <ItemGroup>
    <ResourceCompile Include="utiles.rc" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>